Subject: Re: tcl and java on cygwin
From: community help <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 20 Jul 2005 04:47:37 -0700 (PDT)

Thank you for your answer.

I tried to install jacl from the source. 
But it didn't install.

I've just received an answer from the tcljava mailing
list saying that i can run jacl from cygwin if i
install it in windows.

Thank you

--- Igor Pechtchanski <[email-masked]> wrote:

> On Tue, 19 Jul 2005, community help wrote:
> 
> > I want to be able exchange data between tcl and
> java
> > in an application that i am developping under
> cygwin.
> 
> You'll have to be a bit more specific than that. 
> You can always, for
> example, pipe the data to a Java program from a Tcl
> program, and vice
> versa.
> 
> > I found a tool allowing the interaction between
> java
> > and tcl but this latter does not install under
> cygwin.
> 
> Details, please.  What does "does not install" mean.
>  You're not trying to
> unpack a Linux binary RPM, for example, are you?  If
> you try compiling it
> from source, what messages do you get?
> 
> > do you know of an other tool that can do the
> trick?
> 
> First you have to tell us what "the trick" is.
> 
> > For java i've seen that cygwin uses the java
> installed
> > in windows outside cygwin, is this normal?
> 
> Yes, normal and expected.  There is no open-source
> JVM ported to Cygwin,
> AFAIK.  You could use the Java wrapper scripts in
> the cygwin-apps CVS to
> get some of the look-and-feel of Linux java from the
> command line (POSIX
> classpaths and whatnot), but underneath it's still
> the good ol' Windows
> JDK/JRE.
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski,
> Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a
> JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> If there's any real truth it's that the entire
> multidimensional infinity
> of the Universe is almost certainly being run by a
> bunch of maniacs. /DA
> 

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/